Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: [DE] [solved] Wie installiere ich libglu1-mesa:i386 ??? (crossover 15)  (Read 3109 times)

Klemmerle

  • Guest
Hallo zusammen,

ich versuche gerade crossover 15 auf mein 64bit siduction system zu installieren.
Hierfür fehlt die libglu1-mesa:i386.

Leider scheitert mein Versuch:
Code: [Select]
root@odb:/etc/apt/sources.list.d# apt-get install libglu1-mesa:i386
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package libglu1-mesa:i386 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'libglu1-mesa:i386' has no installation candidate
root@odb:/etc/apt/sources.list.d#

Wer weiß Rat?

Gruß Klemmerle
« Last Edit: 2015/12/12, 09:40:27 by Klemmerle »

Offline jure

  • User
  • Posts: 635
Re: Wie installiere ich libglu1-mesa:i386 ???
« Reply #1 on: 2015/12/10, 18:37:34 »
was sagt denn
Code: [Select]
apt-get -s install libglu1-mesa
Gruss Juergen

Klemmerle

  • Guest
Re: Wie installiere ich libglu1-mesa:i386 ???
« Reply #2 on: 2015/12/10, 18:42:37 »
Hallo Jure,

Code: [Select]
root@odb:/etc/apt/sources.list.d# apt-get -s install libglu1-mesa
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libglu1-mesa is already the newest version (9.0.0-2.1).
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.

explizit mit :i386 liefert:
Code: [Select]
root@odb:/etc/apt/sources.list.d# apt-get -s install libglu1-mesa:i366
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package libglu1-mesa:i366
root@odb:/etc/apt/sources.list.d#

Muß ich i386 explizit in der sources.list stehen haben?

Gruß
Klemmerle

Offline jure

  • User
  • Posts: 635
Re: Wie installiere ich libglu1-mesa:i386 ???
« Reply #3 on: 2015/12/10, 18:46:39 »
Code: [Select]
dpkg -l libglu1-mesa
Gruss Juergen

Offline Geier0815

  • User
  • Posts: 588
Re: Wie installiere ich libglu1-mesa:i386 ???
« Reply #4 on: 2015/12/10, 18:48:28 »
Multiarch ist aber bei dir eingerichtet? Dieses HowTo liefert dir sonst einen Einstieg.
Wenn Windows die Lösung ist...
kann ich dann bitte das Problem zurück haben?

Klemmerle

  • Guest
Re: Wie installiere ich libglu1-mesa:i386 ???
« Reply #5 on: 2015/12/10, 18:54:36 »
Code: [Select]
root@odb:/etc/apt/sources.list.d# dpkg -l libglu1-mesa
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name           Version      Architecture Description
+++-==============-============-============-=================================
ii  libglu1-mesa:a 9.0.0-2.1    amd64        Mesa OpenGL utility library (GLU)
root@odb:/etc/apt/sources.list.d#

@Geier:
Ja, sollte eigentlich aktiviert sein...
Code: [Select]
root@odb:/etc/apt/sources.list.d# dpkg --print-foreign-architectures
i386
root@odb:/etc/apt/sources.list.d#

anbei noch meine Sourcen. Hier hatte ich früher [arch=amd64,i386] nach dem "deb" stehen. Ich dachte daß es nicht mehr nötig ist...

Code: [Select]
root@odb:/etc/apt/sources.list.d# cat siduction.list
#deb ftp://ftp.lug.udel.edu/pub/siduction/siduction unstable main
#deb-src ftp://ftp.lug.udel.edu/pub/siduction/siduction unstable main
#deb ftp://ftp.lug.udel.edu/pub/siduction/fixes unstable main
#deb-src ftp://ftp.lug.udel.edu/pub/siduction/fixes unstable main
deb http://packages.siduction.org/base unstable main
deb-src http://packages.siduction.org/base unstable main
#deb http://packages.siduction.org/kdenext unstable main
root@odb:/etc/apt/sources.list.d#

Gruß Klemmerle

Offline Geier0815

  • User
  • Posts: 588
Re: Wie installiere ich libglu1-mesa:i386 ???
« Reply #6 on: 2015/12/10, 19:27:26 »
Quote
apt-get install libglu1-mesa:i386
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
libglu1-mesa:i386 is already the newest version (9.0.0-2.1).

Quote
apt-cache policy libglu1-mesa
libglu1-mesa:
  Installiert:           9.0.0-2.1
  Installationskandidat: 9.0.0-2.1
  Versionstabelle:
 *** 9.0.0-2.1 800
        700 http://ftp2.de.debian.org/debian testing/main amd64 Packages
        800 http://ftp2.de.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     9.0.0-2 600
        600 http://ftp2.de.debian.org/debian stable/main amd64 Packages
Sieht mir jetzt erstmal nicht nach einem Problem mit dem Paket aus. Wie sehen deine Debian-Quellen aus? Achso, dieses [arch...] kann in der Tat weg bleiben, ist in erster Linie wohl fü Ubuntu wichtig.
Wenn Windows die Lösung ist...
kann ich dann bitte das Problem zurück haben?

Klemmerle

  • Guest
Re: Wie installiere ich libglu1-mesa:i386 ???
« Reply #7 on: 2015/12/10, 20:23:13 »
Hallo Geier,

könntest Du bitte Deinen Sources Eintrag für "unstable" zeigen?

Gruß
Klemmerle

Offline Geier0815

  • User
  • Posts: 588
Re: Wie installiere ich libglu1-mesa:i386 ???
« Reply #8 on: 2015/12/11, 10:09:24 »
Quote
deb http://ftp.de.debian.org/debian/ unstable main contrib non-free
Du hattest jetzt ja nur deine siduction.list gezeigt, evtl solltest Du uns auch mal deine debian.list zeigen. Da ich oben nur für amd64 gezeigt hatte, hier noch für i386:
Quote
apt-cache policy libglu1-mesa:i386
libglu1-mesa:i386:
  Installiert:           9.0.0-2.1
  Installationskandidat: 9.0.0-2.1
  Versionstabelle:
 *** 9.0.0-2.1 800
        700 http://ftp.de.debian.org/debian testing/main i386 Packages
        800 http://ftp.de.debian.org/debian unstable/main i386 Packages
        100 /var/lib/dpkg/status
     9.0.0-2 600
        600 http://ftp.de.debian.org/debian stable/main i386 Packages
Und auch hier siehst Du das das Paket aus unstables main-Zweig kommt.
Wenn Windows die Lösung ist...
kann ich dann bitte das Problem zurück haben?

Klemmerle

  • Guest
Re: Wie installiere ich libglu1-mesa:i386 ???
« Reply #9 on: 2015/12/11, 20:49:20 »
Danke Geier für die Info,

ich hatte tatsächlich in der debian.list einen Fehler ("\" und space falsch).

Jetzt lief es durch:

Code: [Select]
root@odb:/home/klem/Downloads# apt-cache policy libglu1-mesa:i386
libglu1-mesa:i386:
  Installed: 9.0.0-2.1
  Candidate: 9.0.0-2.1
  Version table:
 *** 9.0.0-2.1 500
        500 http://http.debian.net/debian unstable/main i386 Packages
        100 /var/lib/dpkg/status
root@odb:/home/klem/Downloads#

Jetzt komme ich schon ein Stück weiter:
Code: [Select]
root@odb:/home/klem/Downloads# dpkg -i crossover_15.0.0-1.deb
(Reading database ... 337291 files and directories currently installed.)
Preparing to unpack crossover_15.0.0-1.deb ...
Unpacking crossover:i386 (15.0.0-1) over (15.0.0-1) ...
Setting up crossover:i386 (15.0.0-1) ...
: cannot connect to X server 0:0
dpkg: error processing package crossover:i386 (--install):
 subprocess installed post-installation script returned error exit status 1
Processing triggers for menu (2.1.47) ...
Errors were encountered while processing:
 crossover:i386
root@odb:/home/klem/Downloads#

Ich habe jetzt ein Ticket bei codeweavers aufgemacht. Oder habt Ihr noch einen Tipp für mich?

Gruß
Klemmerle




Offline ayla

  • User
  • Posts: 1.744
Re: Wie installiere ich libglu1-mesa:i386 ???
« Reply #10 on: 2015/12/11, 21:54:56 »
Quote
Setting up crossover:i386 (15.0.0-1) ...
: cannot connect to X server 0:0

Hast Du mal probiert den xserver für root frei zu geben?
Also vor der Installation/dem setup als user ein
Code: [Select]
xhost +
su -
abzusetzen und später die Rücknahme mit
Code: [Select]
xhost -
Gruß
ayla

Klemmerle

  • Guest
Re: Wie installiere ich libglu1-mesa:i386 ???
« Reply #11 on: 2015/12/11, 23:04:04 »
Hallo ayla,

Code: [Select]
root@odb:/home/klem# xhost +
access control disabled, clients can connect from any host
root@odb:/home/klem# su -
-su: cannot set terminal process group (14220): Inappropriate ioctl for device
-su: no job control in this shell
root@odb:~#

das Kommando "su -"  hat wohl nicht geklappt, aber die Installation lief jetzt durch.
Auch beim Absetzen von "apt-get -f install" kommen keine Meldungen mehr  :)

Werd mal weiter testen, ob alles läuft.

Danke für Eure Hilfe,

Gruß
Klemmerle


Offline whistler_mb

  • User
  • Posts: 198
Re: Wie installiere ich libglu1-mesa:i386 ???
« Reply #12 on: 2015/12/11, 23:38:14 »
Zum Thema X wird für Installation benötigt.

Diese Abhängigkeit kam mit einem der 12er Versionen. Ich bekam dann als Anweisung vom Support, das Paket mit gdebi zu installieren, was dann auch ohne Fehler funktionierte

Klemmerle

  • Guest
Re: Wie installiere ich libglu1-mesa:i386 ???
« Reply #13 on: 2015/12/12, 09:39:33 »
Moin whistler_mb,

bei mir hatte vorher weder die Installation mit gdebi noch per dpki funktioniert.

Mit dem Vorausschicken von "xhost +" hat die Installation per gdebi dann geklappt.
Ich finde es echt toll, dass hier so viele user sind, die einem weiterhelfen!

Crossover 15 läuft jetzt wie vorgesehen - Problem solved  :)

Gruß Klemmerle